/*
 * GImageView
 * Copyright (C) 2001 Takuro Ashie
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __GTK2_COMPAT_H__
#define __GTK2_COMPAT_H__

#ifdef HAVE_CONFIG_H
#  include "config.h"
#endif

#ifdef USE_GTK2
#   define gtk_object_class_add_signals(class, func, type)
#   define gtk_spin_button_set_shadow_type(widget, type)
#else
#   define gtk_style_get_font(style) style->font

#   ifndef GTK_OBJECT_GET_CLASS
#      define GTK_OBJECT_GET_CLASS(object) GTK_OBJECT (object)->klass
#   endif

#   ifndef GTK_WIDGET_GET_CLASS
#      define GTK_WIDGET_GET_CLASS(widget) GTK_WIDGET_CLASS (GTK_OBJECT (widget)->klass)
#   endif

#   ifndef GTK_CLASS_TYPE
#      define GTK_CLASS_TYPE(object_class) object_class->type
#   endif
#endif

#endif /* __GTK2_COMPAT_H__ */
