/*
 * GImageView
 * Copyright (C) 2001 Takuro Ashie
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __THUMBVIEW_DETAIL2_H__
#define __THUMBVIEW_DETAIL2_H__

#include "gimageview.h"
#include "thumbnail_view.h"

#define THUMBTABLE2_LABEL "Thumbnail2"
#define LIST2_ICON_LABEL  "List2 (Icon)"
#define LIST2_THUMB_LABEL "List2 (Thumbnail)"

GList     *thumbtable2_append_thumb_frames   (ThumbView      *tv,
					      GList          *start,
					      gchar          *dest_mode);
GtkWidget *thumbtable2_add_thumbnail         (Thumbnail      *thumb,
					      gchar          *dest_mode,
					      ThumbLoadType   type);
void       thumbtable2_redraw                (ThumbView      *tv,
					      gchar          *mode,
					      GtkWidget      *scroll_win,
					      GList         **loadlist);
GtkWidget *thumbtable2_resize                (ThumbView      *tv);
gboolean   thumbtable2_refresh_thumbnail     (Thumbnail      *thumb);
void       thumbtable2_adjust                (ThumbView      *tv,
					      Thumbnail      *thumb);
GtkWidget *thumbtable2_create                (ThumbView      *tv,
					      gchar          *dest_mode);
void       thumbtable2_remove_thumbview_data (ThumbView *tv);
gboolean   thumbtable2_set_selection         (Thumbnail      *thumb,
					      gboolean        select);

#endif /* __THUMBVIEW_DETAIL_H__ */
